<template>
  <div class="contanier">
    <button class="btn--primary">{{ name }}</button>
  </div>
</template>

<script>
export default {
  name: 'ButtonComponent',
  props: {
    name: String
  }
};
</script>

<style scoped lang="scss">
.contanier {
  display: 'flex';
  flex-direction: 'row';
  justify-content: 'center';
}
.btn--primary {
  margin-top: 10px;
  background-color: #1895ff;
  width: 200px;
  color: #fff;
  padding: 0 16px;
  height: 62px;
  cursor: pointer;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.3);
  transition: all 0.15s ease-in-out;
  font-size: 18px;
  &:hover {
    box-shadow: 0 3px 2px 0 rgba(0, 0, 0, 0.3);
    background-color: #006ecb;
  }
}
</style>
